Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.renderkit
Class ViewSequenceUtils

    java.lang.Object
      org.apache.myfaces.shared_orchestra.renderkit.ViewSequenceUtils

    public class ViewSequenceUtils

extends java.lang.Object

Author:
  Thomas Spiegl

Constructor Summary
`ViewSequenceUtils()`

Method Summary
`static java.lang.Integer` | `getCurrentSequence(javax.faces.context.FacesContext context)` Current view sequence, may be NULL!
`static java.lang.Integer` | `getViewSequence(javax.faces.context.FacesContext facescontext)` Returns current view sequence and sets current view sequence to Integer(1) if current sequence value is NULL.
`static void` | `nextViewSequence(javax.faces.context.FacesContext facescontext)` Increments view sequence by 1.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewSequenceUtils

    public ViewSequenceUtils()

Method Detail

### nextViewSequence

    public static void nextViewSequence(javax.faces.context.FacesContext facescontext)

  Increments view sequence by 1.

  Parameters:
    `facescontext` -

### getViewSequence

    public static java.lang.Integer getViewSequence(javax.faces.context.FacesContext facescontext)

  Returns current view sequence and sets current view sequence to Integer(1) if current sequence value is NULL.

  Parameters:
    `facescontext` -
  Returns:

### getCurrentSequence

    public static java.lang.Integer getCurrentSequence(javax.faces.context.FacesContext context)

  Current view sequence, may be NULL!

  Parameters:
    `context` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.